# Correct Course - Sprint Change Management Workflow
name: "correct-course"
description: "Navigate significant changes during sprint execution by analyzing impact, proposing solutions, and routing for implementation"
author: "BMad Method"

config_source: "{project-root}/_bmad/bmgd/config.yaml"
output_folder: "{config_source}:output_folder"
user_name: "{config_source}:user_name"
communication_language: "{config_source}:communication_language"
user_skill_level: "{config_source}:user_skill_level"
document_output_language: "{config_source}:document_output_language"
date: system-generated
implementation_artifacts: "{config_source}:implementation_artifacts"
sprint_status: "{implementation_artifacts}/sprint-status.yaml"

# Smart input file references - handles both whole docs and sharded docs
# Priority: Whole document first, then sharded version
# Strategy: Load project context for impact analysis
input_file_patterns:
  gdd:
    description: "Game Design Document"
    whole: "{output_folder}/*gdd*.md"
    sharded: "{output_folder}/*gdd*/*.md"
    load_strategy: "FULL_LOAD"
  narrative:
    description: "Narrative Design Document (if story-driven)"
    whole: "{output_folder}/*narrative*.md"
    sharded: "{output_folder}/*narrative*/*.md"
    load_strategy: "FULL_LOAD"
  epics:
    description: "All epics with user stories"
    whole: "{output_folder}/*epic*.md"
    sharded: "{output_folder}/*epic*/*.md"
    load_strategy: "FULL_LOAD"
  architecture:
    description: "Game architecture and technical decisions"
    whole: "{output_folder}/*architecture*.md"
    sharded: "{output_folder}/*architecture*/*.md"
    load_strategy: "FULL_LOAD"
  ux_design:
    description: "UX design specification (if UI)"
    whole: "{output_folder}/*ux*.md"
    sharded: "{output_folder}/*ux*/*.md"
    load_strategy: "FULL_LOAD"
  tech_spec:
    description: "Technical specification"
    whole: "{output_folder}/tech-spec*.md"
    load_strategy: "FULL_LOAD"
  document_project:
    description: "Brownfield project documentation (optional)"
    sharded: "{output_folder}/index.md"
    load_strategy: "INDEX_GUIDED"

installed_path: "{project-root}/_bmad/bmgd/workflows/4-production/correct-course"
template: false
instructions: "{installed_path}/instructions.md"
validation: "{installed_path}/checklist.md"
checklist: "{installed_path}/checklist.md"
default_output_file: "{output_folder}/sprint-change-proposal-{date}.md"

standalone: true

web_bundle: false
